# kiwicom_mmb_api

KiwicomMmbApi - JavaScript client for kiwicom_mmb_api
An API for Kiwi.com's manage my booking section.
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.1.0
- Package version: 0.1.0
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install kiwicom_mmb_api --save
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing 
into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

Finally, switch to the directory you want to use your kiwicom_mmb_api from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

You should now be able to `require('kiwicom_mmb_api')` in javascript files from the directory you ran the last 
command above from.

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file, that's to say your javascript file where you actually 
use this library):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');

var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = "YOUR API KEY"
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix['KW-User-Token'] = "Token"

var api = new KiwicomMmbApi.DefaultApi()

var bookingId = 56; // {Number} ID of the booking.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.kwMamboHandlersAlternativesGet(bookingId, , callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost/mmb/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersAlternativesGet**](docs/DefaultApi.md#kwMamboHandlersAlternativesGet) | **GET** /bookings/{booking_id}/alternatives | Show alternatives for booking.
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersBagsBagsPaymentRequest**](docs/DefaultApi.md#kwMamboHandlersBagsBagsPaymentRequest) | **POST** /bookings/{booking_id}/bags/{extra_id}/payments | Request new payment for bags
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersBagsBagsPaymentUpdate**](docs/DefaultApi.md#kwMamboHandlersBagsBagsPaymentUpdate) | **PATCH** /bookings/{booking_id}/bags/{extra_id}/payments | Finish or confirm the payment for bag extra
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersBagsDelete**](docs/DefaultApi.md#kwMamboHandlersBagsDelete) | **DELETE** /bookings/{booking_id}/bags/{extra_id} | Delete bag extra for booking at id
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersBagsPost**](docs/DefaultApi.md#kwMamboHandlersBagsPost) | **POST** /bookings/{booking_id}/bags | Create new bag extra for booking at id
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersBookingDeleteBooking**](docs/DefaultApi.md#kwMamboHandlersBookingDeleteBooking) | **DELETE** /bookings/{booking_id} | Cancel booking for user
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersContactsDelete**](docs/DefaultApi.md#kwMamboHandlersContactsDelete) | **DELETE** /bookings/{booking_id}/contacts/{contact_id} | Delete contact
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersContactsGet**](docs/DefaultApi.md#kwMamboHandlersContactsGet) | **GET** /bookings/{booking_id}/contacts/{contact_id} | Get contact for booking by ID
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersContactsPost**](docs/DefaultApi.md#kwMamboHandlersContactsPost) | **POST** /bookings/{booking_id}/contacts | Create a new group of contacts for booking
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersContactsPut**](docs/DefaultApi.md#kwMamboHandlersContactsPut) | **PUT** /bookings/{booking_id}/contacts/{contact_id} | Update contact for booking by ID
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersContactsSearch**](docs/DefaultApi.md#kwMamboHandlersContactsSearch) | **GET** /bookings/{booking_id}/contacts | Get all contacts for booking
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersFlightChangesPost**](docs/DefaultApi.md#kwMamboHandlersFlightChangesPost) | **POST** /bookings/{booking_id}/flight_changes | Create new flights extra for booking at id
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersFlightEventsPatch**](docs/DefaultApi.md#kwMamboHandlersFlightEventsPatch) | **PATCH** /bookings/{booking_id}/flight_events/{event_id} | React to schedule change with following options:  Refund - customer requested refund for booking affected by flight event. Acknowledge - customer acknowledges minor flight event e.g. minor schedule change. 
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersFlightEventsPostOrder**](docs/DefaultApi.md#kwMamboHandlersFlightEventsPostOrder) | **POST** /bookings/{booking_id}/flight_events/{event_id}/orders | Creates order for alternative
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersPassengerChangeCreateRequest**](docs/DefaultApi.md#kwMamboHandlersPassengerChangeCreateRequest) | **POST** /bookings/{booking_id}/passengers/change_requests | Post name correction request
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersPriceChangesDelete**](docs/DefaultApi.md#kwMamboHandlersPriceChangesDelete) | **DELETE** /bookings/{booking_id}/price_changes/{extra_id} | Delete price_change extra for booking at id
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersPriceChangesPost**](docs/DefaultApi.md#kwMamboHandlersPriceChangesPost) | **POST** /bookings/{booking_id}/price_changes | Create new price_change extra for booking at id
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersPriceChangesPriceChangePaymentRequest**](docs/DefaultApi.md#kwMamboHandlersPriceChangesPriceChangePaymentRequest) | **POST** /bookings/{booking_id}/price_changes/{extra_id}/payments | Request new payment for price_change
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersPriceChangesPriceChangePaymentUpdate**](docs/DefaultApi.md#kwMamboHandlersPriceChangesPriceChangePaymentUpdate) | **PATCH** /bookings/{booking_id}/price_changes/{extra_id}/payments | Finish or confirm the payment for price_change extra
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersReferralsDelete**](docs/DefaultApi.md#kwMamboHandlersReferralsDelete) | **DELETE** /referrals/friends/{email} | Delete an invitation
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersReferralsEmailGet**](docs/DefaultApi.md#kwMamboHandlersReferralsEmailGet) | **GET** /referrals/email_check | Check invitee&#39;s email
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersReferralsPost**](docs/DefaultApi.md#kwMamboHandlersReferralsPost) | **POST** /referrals/friends/{email} | Create an invitation
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersReferralsPostMultiple**](docs/DefaultApi.md#kwMamboHandlersReferralsPostMultiple) | **POST** /referrals/friends | Create an invitation
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersReferralsSearch**](docs/DefaultApi.md#kwMamboHandlersReferralsSearch) | **GET** /referrals/friends | List of invitations
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersRefundApplicationsGet**](docs/DefaultApi.md#kwMamboHandlersRefundApplicationsGet) | **GET** /bookings/{booking_id}/refund-applications | Get submitted refund applications for booking
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersRefundsGet**](docs/DefaultApi.md#kwMamboHandlersRefundsGet) | **GET** /bookings/{booking_id}/cancellations | Get refund options for booking
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersRefundsPost**](docs/DefaultApi.md#kwMamboHandlersRefundsPost) | **POST** /bookings/{booking_id}/cancellations | Refund the booking.
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersSeatOrderCancelSeatReservation**](docs/DefaultApi.md#kwMamboHandlersSeatOrderCancelSeatReservation) | **DELETE** /bookings/{booking_id}/seat_orders/{seat_reservation_id} | Cancel seat reservation
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersSeatOrderRequestSeatReservation**](docs/DefaultApi.md#kwMamboHandlersSeatOrderRequestSeatReservation) | **POST** /bookings/{booking_id}/seat_orders | Request seats reservation
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersSeatmapsSearch**](docs/DefaultApi.md#kwMamboHandlersSeatmapsSearch) | **GET** /bookings/{booking_id}/seatmaps | Get seatmaps for flight
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersTicketsGet**](docs/DefaultApi.md#kwMamboHandlersTicketsGet) | **GET** /bookings/{booking_id}/tickets | Get ticketing
*KiwicomMmbApi.DefaultApi* | [**kwMamboHandlersTicketsPost**](docs/DefaultApi.md#kwMamboHandlersTicketsPost) | **POST** /bookings/{booking_id}/tickets | Send ticket via email
*KiwicomMmbApi.DefaultApi* | [**pingGet**](docs/DefaultApi.md#pingGet) | **GET** /ping | Return a simple JSON payload for health check purposes
*KiwicomMmbApi.DefaultApi* | [**storedPassengersGet**](docs/DefaultApi.md#storedPassengersGet) | **GET** /stored_passengers | Return all stored passengers of user
*KiwicomMmbApi.DefaultApi* | [**storedPassengersPost**](docs/DefaultApi.md#storedPassengersPost) | **POST** /stored_passengers | Save new stored passenger for user


## Documentation for Models

 - [KiwicomMmbApi.Alternative](docs/Alternative.md)
 - [KiwicomMmbApi.Alternative1](docs/Alternative1.md)
 - [KiwicomMmbApi.AmountInCurrency](docs/AmountInCurrency.md)
 - [KiwicomMmbApi.BagOrder](docs/BagOrder.md)
 - [KiwicomMmbApi.BookingsbookingIdbagsextraIdpaymentsFinish](docs/BookingsbookingIdbagsextraIdpaymentsFinish.md)
 - [KiwicomMmbApi.Contact](docs/Contact.md)
 - [KiwicomMmbApi.Email](docs/Email.md)
 - [KiwicomMmbApi.EmailData](docs/EmailData.md)
 - [KiwicomMmbApi.EmailValidityObject](docs/EmailValidityObject.md)
 - [KiwicomMmbApi.Error](docs/Error.md)
 - [KiwicomMmbApi.FinishPaymentArgs](docs/FinishPaymentArgs.md)
 - [KiwicomMmbApi.Flight](docs/Flight.md)
 - [KiwicomMmbApi.FlightChangeOrder](docs/FlightChangeOrder.md)
 - [KiwicomMmbApi.FlightChangeOrderFlights](docs/FlightChangeOrderFlights.md)
 - [KiwicomMmbApi.FlightSeat](docs/FlightSeat.md)
 - [KiwicomMmbApi.InlineResponse200](docs/InlineResponse200.md)
 - [KiwicomMmbApi.InlineResponse2001](docs/InlineResponse2001.md)
 - [KiwicomMmbApi.InlineResponse2002](docs/InlineResponse2002.md)
 - [KiwicomMmbApi.InlineResponse2003](docs/InlineResponse2003.md)
 - [KiwicomMmbApi.InlineResponse201](docs/InlineResponse201.md)
 - [KiwicomMmbApi.InvalidEmails](docs/InvalidEmails.md)
 - [KiwicomMmbApi.Invitation](docs/Invitation.md)
 - [KiwicomMmbApi.NameCorrectionRequest](docs/NameCorrectionRequest.md)
 - [KiwicomMmbApi.NewContact](docs/NewContact.md)
 - [KiwicomMmbApi.NewStoredPassenger](docs/NewStoredPassenger.md)
 - [KiwicomMmbApi.PassengerChange](docs/PassengerChange.md)
 - [KiwicomMmbApi.PatchPaymentArgs](docs/PatchPaymentArgs.md)
 - [KiwicomMmbApi.PaymentData](docs/PaymentData.md)
 - [KiwicomMmbApi.Pong](docs/Pong.md)
 - [KiwicomMmbApi.PriceChangeOrder](docs/PriceChangeOrder.md)
 - [KiwicomMmbApi.RefundApplication](docs/RefundApplication.md)
 - [KiwicomMmbApi.RefundApplications](docs/RefundApplications.md)
 - [KiwicomMmbApi.RefundData](docs/RefundData.md)
 - [KiwicomMmbApi.RefundOptions](docs/RefundOptions.md)
 - [KiwicomMmbApi.RefundOptionsCancellationFee](docs/RefundOptionsCancellationFee.md)
 - [KiwicomMmbApi.RefundOptionsRefundableOptions](docs/RefundOptionsRefundableOptions.md)
 - [KiwicomMmbApi.RefundOptionsRefundableOptionsCredits](docs/RefundOptionsRefundableOptionsCredits.md)
 - [KiwicomMmbApi.RefundOptionsRefundableOptionsCreditsCredits](docs/RefundOptionsRefundableOptionsCreditsCredits.md)
 - [KiwicomMmbApi.RefundOptionsRefundableOptionsOrigin](docs/RefundOptionsRefundableOptionsOrigin.md)
 - [KiwicomMmbApi.ScheduleAlternative](docs/ScheduleAlternative.md)
 - [KiwicomMmbApi.ScheduleAlternativeAlternative](docs/ScheduleAlternativeAlternative.md)
 - [KiwicomMmbApi.ScheduleAlternativeAlternativeExtra](docs/ScheduleAlternativeAlternativeExtra.md)
 - [KiwicomMmbApi.ScheduleChange](docs/ScheduleChange.md)
 - [KiwicomMmbApi.ScheduleChangeAllowedGates](docs/ScheduleChangeAllowedGates.md)
 - [KiwicomMmbApi.ScheduleChangeAlternatives](docs/ScheduleChangeAlternatives.md)
 - [KiwicomMmbApi.ScheduleChangePrice](docs/ScheduleChangePrice.md)
 - [KiwicomMmbApi.ScheduleChangeRefund](docs/ScheduleChangeRefund.md)
 - [KiwicomMmbApi.ScheduleChangeResolved](docs/ScheduleChangeResolved.md)
 - [KiwicomMmbApi.ScheduleFlight](docs/ScheduleFlight.md)
 - [KiwicomMmbApi.ScheduleFlightAirline](docs/ScheduleFlightAirline.md)
 - [KiwicomMmbApi.ScheduleLocation](docs/ScheduleLocation.md)
 - [KiwicomMmbApi.ScheduleLocationWhen](docs/ScheduleLocationWhen.md)
 - [KiwicomMmbApi.ScheduleLocationWhere](docs/ScheduleLocationWhere.md)
 - [KiwicomMmbApi.SeatDescription](docs/SeatDescription.md)
 - [KiwicomMmbApi.SeatOrder](docs/SeatOrder.md)
 - [KiwicomMmbApi.Segments](docs/Segments.md)
 - [KiwicomMmbApi.SimpleExtraRecord](docs/SimpleExtraRecord.md)
 - [KiwicomMmbApi.TicketData](docs/TicketData.md)
 - [KiwicomMmbApi.StoredPassenger](docs/StoredPassenger.md)


## Documentation for Authorization


### AdminAuth

- **Type**: HTTP basic authentication

### PartnerTokenAuth

- **Type**: API key
- **API key parameter name**: KW-Partner-Token
- **Location**: HTTP header

### SimpleTokenAuth

- **Type**: API key
- **API key parameter name**: KW-Simple-Token
- **Location**: HTTP header

### UserTokenAuth

- **Type**: API key
- **API key parameter name**: KW-User-Token
- **Location**: HTTP header

