# KiwicomMmbApi.DefaultApi

All URIs are relative to *https://localhost/mmb/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**kwMamboHandlersAlternativesGet**](DefaultApi.md#kwMamboHandlersAlternativesGet) | **GET** /bookings/{booking_id}/alternatives | Show alternatives for booking.
[**kwMamboHandlersBagsBagsPaymentRequest**](DefaultApi.md#kwMamboHandlersBagsBagsPaymentRequest) | **POST** /bookings/{booking_id}/bags/{extra_id}/payments | Request new payment for bags
[**kwMamboHandlersBagsBagsPaymentUpdate**](DefaultApi.md#kwMamboHandlersBagsBagsPaymentUpdate) | **PATCH** /bookings/{booking_id}/bags/{extra_id}/payments | Finish or confirm the payment for bag extra
[**kwMamboHandlersBagsDelete**](DefaultApi.md#kwMamboHandlersBagsDelete) | **DELETE** /bookings/{booking_id}/bags/{extra_id} | Delete bag extra for booking at id
[**kwMamboHandlersBagsPost**](DefaultApi.md#kwMamboHandlersBagsPost) | **POST** /bookings/{booking_id}/bags | Create new bag extra for booking at id
[**kwMamboHandlersBookingDeleteBooking**](DefaultApi.md#kwMamboHandlersBookingDeleteBooking) | **DELETE** /bookings/{booking_id} | Cancel booking for user
[**kwMamboHandlersContactsDelete**](DefaultApi.md#kwMamboHandlersContactsDelete) | **DELETE** /bookings/{booking_id}/contacts/{contact_id} | Delete contact
[**kwMamboHandlersContactsGet**](DefaultApi.md#kwMamboHandlersContactsGet) | **GET** /bookings/{booking_id}/contacts/{contact_id} | Get contact for booking by ID
[**kwMamboHandlersContactsPost**](DefaultApi.md#kwMamboHandlersContactsPost) | **POST** /bookings/{booking_id}/contacts | Create a new group of contacts for booking
[**kwMamboHandlersContactsPut**](DefaultApi.md#kwMamboHandlersContactsPut) | **PUT** /bookings/{booking_id}/contacts/{contact_id} | Update contact for booking by ID
[**kwMamboHandlersContactsSearch**](DefaultApi.md#kwMamboHandlersContactsSearch) | **GET** /bookings/{booking_id}/contacts | Get all contacts for booking
[**kwMamboHandlersFlightChangesPost**](DefaultApi.md#kwMamboHandlersFlightChangesPost) | **POST** /bookings/{booking_id}/flight_changes | Create new flights extra for booking at id
[**kwMamboHandlersFlightEventsPatch**](DefaultApi.md#kwMamboHandlersFlightEventsPatch) | **PATCH** /bookings/{booking_id}/flight_events/{event_id} | React to schedule change with following options:  Refund - customer requested refund for booking affected by flight event. Acknowledge - customer acknowledges minor flight event e.g. minor schedule change. 
[**kwMamboHandlersFlightEventsPostOrder**](DefaultApi.md#kwMamboHandlersFlightEventsPostOrder) | **POST** /bookings/{booking_id}/flight_events/{event_id}/orders | Creates order for alternative
[**kwMamboHandlersPassengerChangeCreateRequest**](DefaultApi.md#kwMamboHandlersPassengerChangeCreateRequest) | **POST** /bookings/{booking_id}/passengers/change_requests | Post name correction request
[**kwMamboHandlersPriceChangesDelete**](DefaultApi.md#kwMamboHandlersPriceChangesDelete) | **DELETE** /bookings/{booking_id}/price_changes/{extra_id} | Delete price_change extra for booking at id
[**kwMamboHandlersPriceChangesPost**](DefaultApi.md#kwMamboHandlersPriceChangesPost) | **POST** /bookings/{booking_id}/price_changes | Create new price_change extra for booking at id
[**kwMamboHandlersPriceChangesPriceChangePaymentRequest**](DefaultApi.md#kwMamboHandlersPriceChangesPriceChangePaymentRequest) | **POST** /bookings/{booking_id}/price_changes/{extra_id}/payments | Request new payment for price_change
[**kwMamboHandlersPriceChangesPriceChangePaymentUpdate**](DefaultApi.md#kwMamboHandlersPriceChangesPriceChangePaymentUpdate) | **PATCH** /bookings/{booking_id}/price_changes/{extra_id}/payments | Finish or confirm the payment for price_change extra
[**kwMamboHandlersReferralsDelete**](DefaultApi.md#kwMamboHandlersReferralsDelete) | **DELETE** /referrals/friends/{email} | Delete an invitation
[**kwMamboHandlersReferralsEmailGet**](DefaultApi.md#kwMamboHandlersReferralsEmailGet) | **GET** /referrals/email_check | Check invitee&#39;s email
[**kwMamboHandlersReferralsPost**](DefaultApi.md#kwMamboHandlersReferralsPost) | **POST** /referrals/friends/{email} | Create an invitation
[**kwMamboHandlersReferralsPostMultiple**](DefaultApi.md#kwMamboHandlersReferralsPostMultiple) | **POST** /referrals/friends | Create an invitation
[**kwMamboHandlersReferralsSearch**](DefaultApi.md#kwMamboHandlersReferralsSearch) | **GET** /referrals/friends | List of invitations
[**kwMamboHandlersRefundApplicationsGet**](DefaultApi.md#kwMamboHandlersRefundApplicationsGet) | **GET** /bookings/{booking_id}/refund-applications | Get submitted refund applications for booking
[**kwMamboHandlersRefundsGet**](DefaultApi.md#kwMamboHandlersRefundsGet) | **GET** /bookings/{booking_id}/cancellations | Get refund options for booking
[**kwMamboHandlersRefundsPost**](DefaultApi.md#kwMamboHandlersRefundsPost) | **POST** /bookings/{booking_id}/cancellations | Refund the booking.
[**kwMamboHandlersSeatOrderCancelSeatReservation**](DefaultApi.md#kwMamboHandlersSeatOrderCancelSeatReservation) | **DELETE** /bookings/{booking_id}/seat_orders/{seat_reservation_id} | Cancel seat reservation
[**kwMamboHandlersSeatOrderRequestSeatReservation**](DefaultApi.md#kwMamboHandlersSeatOrderRequestSeatReservation) | **POST** /bookings/{booking_id}/seat_orders | Request seats reservation
[**kwMamboHandlersSeatmapsSearch**](DefaultApi.md#kwMamboHandlersSeatmapsSearch) | **GET** /bookings/{booking_id}/seatmaps | Get seatmaps for flight
[**kwMamboHandlersTicketsGet**](DefaultApi.md#kwMamboHandlersTicketsGet) | **GET** /bookings/{booking_id}/tickets | Get ticketing
[**kwMamboHandlersTicketsPost**](DefaultApi.md#kwMamboHandlersTicketsPost) | **POST** /bookings/{booking_id}/tickets | Send ticket via email
[**pingGet**](DefaultApi.md#pingGet) | **GET** /ping | Return a simple JSON payload for health check purposes
[**storedPassengersGet**](DefaultApi.md#storedPassengersGet) | **GET** /stored_passengers | Return all stored passengers of user
[**storedPassengersPost**](DefaultApi.md#storedPassengersPost) | **POST** /stored_passengers | Save new stored passenger for user


<a name="kwMamboHandlersAlternativesGet"></a>
# **kwMamboHandlersAlternativesGet**
> InlineResponse200 kwMamboHandlersAlternativesGet(bookingId, )

Show alternatives for booking.

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersAlternativesGet(bookingId, , callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersBagsBagsPaymentRequest"></a>
# **kwMamboHandlersBagsBagsPaymentRequest**
> SimpleExtraRecord kwMamboHandlersBagsBagsPaymentRequest(bookingId, extraId)

Request new payment for bags

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var extraId = 56; // Number | ID of the extra order, handling is route specific.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersBagsBagsPaymentRequest(bookingId, extraId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **extraId** | **Number**| ID of the extra order, handling is route specific. | 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersBagsBagsPaymentUpdate"></a>
# **kwMamboHandlersBagsBagsPaymentUpdate**
> SimpleExtraRecord kwMamboHandlersBagsBagsPaymentUpdate(bookingId, extraId, opts)

Finish or confirm the payment for bag extra

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var extraId = 56; // Number | ID of the extra order, handling is route specific.

var opts = { 
  'patchPaymentArgs': new KiwicomMmbApi.PatchPaymentArgs() // PatchPaymentArgs | 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersBagsBagsPaymentUpdate(bookingId, extraId, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **extraId** | **Number**| ID of the extra order, handling is route specific. | 
 **patchPaymentArgs** | [**PatchPaymentArgs**](PatchPaymentArgs.md)|  | [optional] 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersBagsDelete"></a>
# **kwMamboHandlersBagsDelete**
> SimpleExtraRecord kwMamboHandlersBagsDelete(bookingId, extraId)

Delete bag extra for booking at id

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var extraId = 56; // Number | ID of the extra order, handling is route specific.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersBagsDelete(bookingId, extraId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **extraId** | **Number**| ID of the extra order, handling is route specific. | 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersBagsPost"></a>
# **kwMamboHandlersBagsPost**
> SimpleExtraRecord kwMamboHandlersBagsPost(bookingId, bagOrder)

Create new bag extra for booking at id

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var bagOrder = new KiwicomMmbApi.BagOrder(); // BagOrder | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersBagsPost(bookingId, bagOrder, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **bagOrder** | [**BagOrder**](BagOrder.md)|  | 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersBookingDeleteBooking"></a>
# **kwMamboHandlersBookingDeleteBooking**
> kwMamboHandlersBookingDeleteBooking(bookingId, )

Cancel booking for user

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.kwMamboHandlersBookingDeleteBooking(bookingId, , callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 

### Return type

null (empty response body)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersContactsDelete"></a>
# **kwMamboHandlersContactsDelete**
> kwMamboHandlersContactsDelete(bookingId, contactId)

Delete contact

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var contactId = 56; // Number | ID of the contact.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.kwMamboHandlersContactsDelete(bookingId, contactId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **contactId** | **Number**| ID of the contact. | 

### Return type

null (empty response body)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersContactsGet"></a>
# **kwMamboHandlersContactsGet**
> Contact kwMamboHandlersContactsGet(bookingId, contactId)

Get contact for booking by ID

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var contactId = 56; // Number | ID of the contact.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersContactsGet(bookingId, contactId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **contactId** | **Number**| ID of the contact. | 

### Return type

[**Contact**](Contact.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersContactsPost"></a>
# **kwMamboHandlersContactsPost**
> InlineResponse201 kwMamboHandlersContactsPost(bookingId, contacts)

Create a new group of contacts for booking

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var contacts = [new KiwicomMmbApi.NewContact()]; // [NewContact] | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersContactsPost(bookingId, contacts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **contacts** | [**[NewContact]**](NewContact.md)|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersContactsPut"></a>
# **kwMamboHandlersContactsPut**
> Object kwMamboHandlersContactsPut(bookingId, contactIdcontact)

Update contact for booking by ID

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var contactId = 56; // Number | ID of the contact.

var contact = new KiwicomMmbApi.Contact(); // Contact | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersContactsPut(bookingId, contactIdcontact, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **contactId** | **Number**| ID of the contact. | 
 **contact** | [**Contact**](Contact.md)|  | 

### Return type

**Object**

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersContactsSearch"></a>
# **kwMamboHandlersContactsSearch**
> [Contact] kwMamboHandlersContactsSearch(bookingId, )

Get all contacts for booking

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersContactsSearch(bookingId, , callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 

### Return type

[**[Contact]**](Contact.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersFlightChangesPost"></a>
# **kwMamboHandlersFlightChangesPost**
> SimpleExtraRecord kwMamboHandlersFlightChangesPost(bookingId, flightChangeOrder)

Create new flights extra for booking at id

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var flightChangeOrder = new KiwicomMmbApi.FlightChangeOrder(); // FlightChangeOrder | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersFlightChangesPost(bookingId, flightChangeOrder, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **flightChangeOrder** | [**FlightChangeOrder**](FlightChangeOrder.md)|  | 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersFlightEventsPatch"></a>
# **kwMamboHandlersFlightEventsPatch**
> ScheduleAlternative kwMamboHandlersFlightEventsPatch(bookingId, eventId, alternative)

React to schedule change with following options:  Refund - customer requested refund for booking affected by flight event. Acknowledge - customer acknowledges minor flight event e.g. minor schedule change. 

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var eventId = 56; // Number | ID of alternative group

var alternative = new KiwicomMmbApi.Alternative(); // Alternative | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersFlightEventsPatch(bookingId, eventId, alternative, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **eventId** | **Number**| ID of alternative group | 
 **alternative** | [**Alternative**](Alternative.md)|  | 

### Return type

[**ScheduleAlternative**](ScheduleAlternative.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersFlightEventsPostOrder"></a>
# **kwMamboHandlersFlightEventsPostOrder**
> ScheduleAlternative kwMamboHandlersFlightEventsPostOrder(bookingId, eventId, alternative)

Creates order for alternative

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var eventId = 56; // Number | ID of alternative group

var alternative = new KiwicomMmbApi.Alternative1(); // Alternative1 | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersFlightEventsPostOrder(bookingId, eventId, alternative, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **eventId** | **Number**| ID of alternative group | 
 **alternative** | [**Alternative1**](Alternative1.md)|  | 

### Return type

[**ScheduleAlternative**](ScheduleAlternative.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersPassengerChangeCreateRequest"></a>
# **kwMamboHandlersPassengerChangeCreateRequest**
> Object kwMamboHandlersPassengerChangeCreateRequest(bookingId, requestData)

Post name correction request

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var requestData = new KiwicomMmbApi.NameCorrectionRequest(); // NameCorrectionRequest | Passenger changes


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersPassengerChangeCreateRequest(bookingId, requestData, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **requestData** | [**NameCorrectionRequest**](NameCorrectionRequest.md)| Passenger changes | 

### Return type

**Object**

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersPriceChangesDelete"></a>
# **kwMamboHandlersPriceChangesDelete**
> SimpleExtraRecord kwMamboHandlersPriceChangesDelete(bookingId, extraId)

Delete price_change extra for booking at id

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var extraId = 56; // Number | ID of the extra order, handling is route specific.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersPriceChangesDelete(bookingId, extraId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **extraId** | **Number**| ID of the extra order, handling is route specific. | 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersPriceChangesPost"></a>
# **kwMamboHandlersPriceChangesPost**
> SimpleExtraRecord kwMamboHandlersPriceChangesPost(bookingId, priceChangeOrder)

Create new price_change extra for booking at id

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var priceChangeOrder = new KiwicomMmbApi.PriceChangeOrder(); // PriceChangeOrder | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersPriceChangesPost(bookingId, priceChangeOrder, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **priceChangeOrder** | [**PriceChangeOrder**](PriceChangeOrder.md)|  | 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersPriceChangesPriceChangePaymentRequest"></a>
# **kwMamboHandlersPriceChangesPriceChangePaymentRequest**
> SimpleExtraRecord kwMamboHandlersPriceChangesPriceChangePaymentRequest(bookingId, extraId)

Request new payment for price_change

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var extraId = 56; // Number | ID of the extra order, handling is route specific.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersPriceChangesPriceChangePaymentRequest(bookingId, extraId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **extraId** | **Number**| ID of the extra order, handling is route specific. | 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersPriceChangesPriceChangePaymentUpdate"></a>
# **kwMamboHandlersPriceChangesPriceChangePaymentUpdate**
> SimpleExtraRecord kwMamboHandlersPriceChangesPriceChangePaymentUpdate(bookingId, extraId, opts)

Finish or confirm the payment for price_change extra

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var extraId = 56; // Number | ID of the extra order, handling is route specific.

var opts = { 
  'finishPaymentArgs': new KiwicomMmbApi.FinishPaymentArgs() // FinishPaymentArgs | 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersPriceChangesPriceChangePaymentUpdate(bookingId, extraId, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **extraId** | **Number**| ID of the extra order, handling is route specific. | 
 **finishPaymentArgs** | [**FinishPaymentArgs**](FinishPaymentArgs.md)|  | [optional] 

### Return type

[**SimpleExtraRecord**](SimpleExtraRecord.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersReferralsDelete"></a>
# **kwMamboHandlersReferralsDelete**
> kwMamboHandlersReferralsDelete(email)

Delete an invitation

Delete a customer&#39;s invitation. May be used to free the invitee&#39;s email address.

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var email = "email_example"; // String | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.kwMamboHandlersReferralsDelete(email, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**|  | 

### Return type

null (empty response body)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersReferralsEmailGet"></a>
# **kwMamboHandlersReferralsEmailGet**
> EmailValidityObject kwMamboHandlersReferralsEmailGet(email)

Check invitee&#39;s email

Performs a check whether the invitee is eligible for an invitation from customer.

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var email = "email_example"; // String | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersReferralsEmailGet(email, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**|  | 

### Return type

[**EmailValidityObject**](EmailValidityObject.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersReferralsPost"></a>
# **kwMamboHandlersReferralsPost**
> kwMamboHandlersReferralsPost(email)

Create an invitation

For a given email create a new invitation.

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var email = "email_example"; // String | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.kwMamboHandlersReferralsPost(email, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**|  | 

### Return type

null (empty response body)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersReferralsPostMultiple"></a>
# **kwMamboHandlersReferralsPostMultiple**
> kwMamboHandlersReferralsPostMultiple(emails)

Create an invitation

For a given email create a new invitation.

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var emails = [new KiwicomMmbApi.[String]()]; // [String] | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.kwMamboHandlersReferralsPostMultiple(emails, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **emails** | **[String]**|  | 

### Return type

null (empty response body)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersReferralsSearch"></a>
# **kwMamboHandlersReferralsSearch**
> [Invitation] kwMamboHandlersReferralsSearch()

List of invitations

Returns the list of all invitations sent along with their statuses.

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersReferralsSearch(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**[Invitation]**](Invitation.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersRefundApplicationsGet"></a>
# **kwMamboHandlersRefundApplicationsGet**
> RefundApplications kwMamboHandlersRefundApplicationsGet(bookingId, )

Get submitted refund applications for booking

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersRefundApplicationsGet(bookingId, , callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 

### Return type

[**RefundApplications**](RefundApplications.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersRefundsGet"></a>
# **kwMamboHandlersRefundsGet**
> RefundOptions kwMamboHandlersRefundsGet(bookingId, )

Get refund options for booking

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersRefundsGet(bookingId, , callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 

### Return type

[**RefundOptions**](RefundOptions.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersRefundsPost"></a>
# **kwMamboHandlersRefundsPost**
> Object kwMamboHandlersRefundsPost(bookingId, refundData)

Refund the booking.

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var refundData = new KiwicomMmbApi.RefundData(); // RefundData | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersRefundsPost(bookingId, refundData, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **refundData** | [**RefundData**](RefundData.md)|  | 

### Return type

**Object**

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersSeatOrderCancelSeatReservation"></a>
# **kwMamboHandlersSeatOrderCancelSeatReservation**
> kwMamboHandlersSeatOrderCancelSeatReservation(bookingId, seatReservationId)

Cancel seat reservation

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var seatReservationId = 56; // Number | ID of the seat reservation.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.kwMamboHandlersSeatOrderCancelSeatReservation(bookingId, seatReservationId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **seatReservationId** | **Number**| ID of the seat reservation. | 

### Return type

null (empty response body)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersSeatOrderRequestSeatReservation"></a>
# **kwMamboHandlersSeatOrderRequestSeatReservation**
> kwMamboHandlersSeatOrderRequestSeatReservation(bookingId, , opts)

Request seats reservation

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var opts = { 
  'seatOrder': new KiwicomMmbApi.SeatOrder() // SeatOrder | 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.kwMamboHandlersSeatOrderRequestSeatReservation(bookingId, , opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **seatOrder** | [**SeatOrder**](SeatOrder.md)|  | [optional] 

### Return type

null (empty response body)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersSeatmapsSearch"></a>
# **kwMamboHandlersSeatmapsSearch**
> Segments kwMamboHandlersSeatmapsSearch(bookingId, )

Get seatmaps for flight

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersSeatmapsSearch(bookingId, , callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 

### Return type

[**Segments**](Segments.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersTicketsGet"></a>
# **kwMamboHandlersTicketsGet**
> InlineResponse2001 kwMamboHandlersTicketsGet(bookingId, )

Get ticketing

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersTicketsGet(bookingId, , callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="kwMamboHandlersTicketsPost"></a>
# **kwMamboHandlersTicketsPost**
> EmailData kwMamboHandlersTicketsPost(bookingId, ticketData)

Send ticket via email

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var bookingId = 56; // Number | ID of the booking.

var ticketData = new KiwicomMmbApi.TicketData(); // TicketData | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.kwMamboHandlersTicketsPost(bookingId, ticketData, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bookingId** | **Number**| ID of the booking. | 
 **ticketData** | [**TicketData**](TicketData.md)|  | 

### Return type

[**EmailData**](EmailData.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="pingGet"></a>
# **pingGet**
> Pong pingGet()

Return a simple JSON payload for health check purposes

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.pingGet(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Pong**](Pong.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="storedPassengersGet"></a>
# **storedPassengersGet**
> InlineResponse2002 storedPassengersGet()

Return all stored passengers of user

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.storedPassengersGet(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="storedPassengersPost"></a>
# **storedPassengersPost**
> InlineResponse2003 storedPassengersPost(storedPassenger)

Save new stored passenger for user

### Example
```javascript
var KiwicomMmbApi = require('kiwicom_mmb_api');
var defaultClient = KiwicomMmbApi.ApiClient.instance;

// Configure API key authorization: UserTokenAuth
var UserTokenAuth = defaultClient.authentications['UserTokenAuth'];
UserTokenAuth.apiKey = 'YOUR API KEY';
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//UserTokenAuth.apiKeyPrefix = 'Token';

var apiInstance = new KiwicomMmbApi.DefaultApi();

var storedPassenger = new KiwicomMmbApi.NewStoredPassenger(); // NewStoredPassenger | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.storedPassengersPost(storedPassenger, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storedPassenger** | [**NewStoredPassenger**](NewStoredPassenger.md)|  | 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

[UserTokenAuth](../README.md#UserTokenAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

