/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Alternative', 'model/Alternative1', 'model/BagOrder', 'model/Contact', 'model/EmailData', 'model/EmailValidityObject', 'model/Error', 'model/FinishPaymentArgs', 'model/FlightChangeOrder', 'model/InlineResponse200', 'model/InlineResponse2001', 'model/InlineResponse2002', 'model/InlineResponse2003', 'model/InlineResponse201', 'model/InvalidEmails', 'model/Invitation', 'model/NameCorrectionRequest', 'model/NewContact', 'model/NewStoredPassenger', 'model/PatchPaymentArgs', 'model/Pong', 'model/PriceChangeOrder', 'model/RefundApplications', 'model/RefundData', 'model/RefundOptions', 'model/ScheduleAlternative', 'model/SeatOrder', 'model/Segments', 'model/SimpleExtraRecord', 'model/TicketData'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/Alternative'), require('../model/Alternative1'), require('../model/BagOrder'), require('../model/Contact'), require('../model/EmailData'), require('../model/EmailValidityObject'), require('../model/Error'), require('../model/FinishPaymentArgs'), require('../model/FlightChangeOrder'), require('../model/InlineResponse200'), require('../model/InlineResponse2001'), require('../model/InlineResponse2002'), require('../model/InlineResponse2003'), require('../model/InlineResponse201'), require('../model/InvalidEmails'), require('../model/Invitation'), require('../model/NameCorrectionRequest'), require('../model/NewContact'), require('../model/NewStoredPassenger'), require('../model/PatchPaymentArgs'), require('../model/Pong'), require('../model/PriceChangeOrder'), require('../model/RefundApplications'), require('../model/RefundData'), require('../model/RefundOptions'), require('../model/ScheduleAlternative'), require('../model/SeatOrder'), require('../model/Segments'), require('../model/SimpleExtraRecord'), require('../model/TicketData'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.DefaultApi = factory(root.KiwicomMmbApi.ApiClient, root.KiwicomMmbApi.Alternative, root.KiwicomMmbApi.Alternative1, root.KiwicomMmbApi.BagOrder, root.KiwicomMmbApi.Contact, root.KiwicomMmbApi.EmailData, root.KiwicomMmbApi.EmailValidityObject, root.KiwicomMmbApi.Error, root.KiwicomMmbApi.FinishPaymentArgs, root.KiwicomMmbApi.FlightChangeOrder, root.KiwicomMmbApi.InlineResponse200, root.KiwicomMmbApi.InlineResponse2001, root.KiwicomMmbApi.InlineResponse2002, root.KiwicomMmbApi.InlineResponse2003, root.KiwicomMmbApi.InlineResponse201, root.KiwicomMmbApi.InvalidEmails, root.KiwicomMmbApi.Invitation, root.KiwicomMmbApi.NameCorrectionRequest, root.KiwicomMmbApi.NewContact, root.KiwicomMmbApi.NewStoredPassenger, root.KiwicomMmbApi.PatchPaymentArgs, root.KiwicomMmbApi.Pong, root.KiwicomMmbApi.PriceChangeOrder, root.KiwicomMmbApi.RefundApplications, root.KiwicomMmbApi.RefundData, root.KiwicomMmbApi.RefundOptions, root.KiwicomMmbApi.ScheduleAlternative, root.KiwicomMmbApi.SeatOrder, root.KiwicomMmbApi.Segments, root.KiwicomMmbApi.SimpleExtraRecord, root.KiwicomMmbApi.TicketData);
  }
}(this, function(ApiClient, Alternative, Alternative1, BagOrder, Contact, EmailData, EmailValidityObject, Error, FinishPaymentArgs, FlightChangeOrder, InlineResponse200, InlineResponse2001, InlineResponse2002, InlineResponse2003, InlineResponse201, InvalidEmails, Invitation, NameCorrectionRequest, NewContact, NewStoredPassenger, PatchPaymentArgs, Pong, PriceChangeOrder, RefundApplications, RefundData, RefundOptions, ScheduleAlternative, SeatOrder, Segments, SimpleExtraRecord, TicketData) {
  'use strict';

  /**
   * Default service.
   * @module api/DefaultApi
   * @version 0.1.0
   */

  /**
   * Constructs a new DefaultApi. 
   * @alias module:api/DefaultApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the kwMamboHandlersAlternativesGet operation.
     * @callback module:api/DefaultApi~kwMamboHandlersAlternativesGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/InlineResponse200} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Show alternatives for booking.
     * @param {Number} bookingId ID of the booking.
     * @param {module:api/DefaultApi~kwMamboHandlersAlternativesGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/InlineResponse200}
     */
    this.kwMamboHandlersAlternativesGet = function(bookingId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersAlternativesGet");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = InlineResponse200;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/alternatives', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersBagsBagsPaymentRequest operation.
     * @callback module:api/DefaultApi~kwMamboHandlersBagsBagsPaymentRequestCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Request new payment for bags
     * @param {Number} bookingId ID of the booking.
     * @param {Number} extraId ID of the extra order, handling is route specific.
     * @param {module:api/DefaultApi~kwMamboHandlersBagsBagsPaymentRequestCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersBagsBagsPaymentRequest = function(bookingId, extraId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersBagsBagsPaymentRequest");
      }

      // verify the required parameter 'extraId' is set
      if (extraId === undefined || extraId === null) {
        throw new Error("Missing the required parameter 'extraId' when calling kwMamboHandlersBagsBagsPaymentRequest");
      }


      var pathParams = {
        'booking_id': bookingId,
        'extra_id': extraId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/bags/{extra_id}/payments', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersBagsBagsPaymentUpdate operation.
     * @callback module:api/DefaultApi~kwMamboHandlersBagsBagsPaymentUpdateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Finish or confirm the payment for bag extra
     * @param {Number} bookingId ID of the booking.
     * @param {Number} extraId ID of the extra order, handling is route specific.
     * @param {Object} opts Optional parameters
     * @param {module:model/PatchPaymentArgs} opts.patchPaymentArgs 
     * @param {module:api/DefaultApi~kwMamboHandlersBagsBagsPaymentUpdateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersBagsBagsPaymentUpdate = function(bookingId, extraId, opts, callback) {
      opts = opts || {};
      var postBody = opts['patchPaymentArgs'];

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersBagsBagsPaymentUpdate");
      }

      // verify the required parameter 'extraId' is set
      if (extraId === undefined || extraId === null) {
        throw new Error("Missing the required parameter 'extraId' when calling kwMamboHandlersBagsBagsPaymentUpdate");
      }


      var pathParams = {
        'booking_id': bookingId,
        'extra_id': extraId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/bags/{extra_id}/payments', 'PATCH',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersBagsDelete operation.
     * @callback module:api/DefaultApi~kwMamboHandlersBagsDeleteCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete bag extra for booking at id
     * @param {Number} bookingId ID of the booking.
     * @param {Number} extraId ID of the extra order, handling is route specific.
     * @param {module:api/DefaultApi~kwMamboHandlersBagsDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersBagsDelete = function(bookingId, extraId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersBagsDelete");
      }

      // verify the required parameter 'extraId' is set
      if (extraId === undefined || extraId === null) {
        throw new Error("Missing the required parameter 'extraId' when calling kwMamboHandlersBagsDelete");
      }


      var pathParams = {
        'booking_id': bookingId,
        'extra_id': extraId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/bags/{extra_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersBagsPost operation.
     * @callback module:api/DefaultApi~kwMamboHandlersBagsPostCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create new bag extra for booking at id
     * @param {Number} bookingId ID of the booking.
     * @param {module:model/BagOrder} bagOrder 
     * @param {module:api/DefaultApi~kwMamboHandlersBagsPostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersBagsPost = function(bookingId, bagOrder, callback) {
      var postBody = bagOrder;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersBagsPost");
      }

      // verify the required parameter 'bagOrder' is set
      if (bagOrder === undefined || bagOrder === null) {
        throw new Error("Missing the required parameter 'bagOrder' when calling kwMamboHandlersBagsPost");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/bags', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersBookingDeleteBooking operation.
     * @callback module:api/DefaultApi~kwMamboHandlersBookingDeleteBookingCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Cancel booking for user
     * @param {Number} bookingId ID of the booking.
     * @param {module:api/DefaultApi~kwMamboHandlersBookingDeleteBookingCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.kwMamboHandlersBookingDeleteBooking = function(bookingId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersBookingDeleteBooking");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/bookings/{booking_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersContactsDelete operation.
     * @callback module:api/DefaultApi~kwMamboHandlersContactsDeleteCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete contact
     * @param {Number} bookingId ID of the booking.
     * @param {Number} contactId ID of the contact.
     * @param {module:api/DefaultApi~kwMamboHandlersContactsDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.kwMamboHandlersContactsDelete = function(bookingId, contactId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersContactsDelete");
      }

      // verify the required parameter 'contactId' is set
      if (contactId === undefined || contactId === null) {
        throw new Error("Missing the required parameter 'contactId' when calling kwMamboHandlersContactsDelete");
      }


      var pathParams = {
        'booking_id': bookingId,
        'contact_id': contactId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/contacts/{contact_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersContactsGet operation.
     * @callback module:api/DefaultApi~kwMamboHandlersContactsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Contact} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get contact for booking by ID
     * @param {Number} bookingId ID of the booking.
     * @param {Number} contactId ID of the contact.
     * @param {module:api/DefaultApi~kwMamboHandlersContactsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Contact}
     */
    this.kwMamboHandlersContactsGet = function(bookingId, contactId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersContactsGet");
      }

      // verify the required parameter 'contactId' is set
      if (contactId === undefined || contactId === null) {
        throw new Error("Missing the required parameter 'contactId' when calling kwMamboHandlersContactsGet");
      }


      var pathParams = {
        'booking_id': bookingId,
        'contact_id': contactId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = Contact;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/contacts/{contact_id}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersContactsPost operation.
     * @callback module:api/DefaultApi~kwMamboHandlersContactsPostCallback
     * @param {String} error Error message, if any.
     * @param {module:model/InlineResponse201} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create a new group of contacts for booking
     * @param {Number} bookingId ID of the booking.
     * @param {Array.<module:model/NewContact>} contacts 
     * @param {module:api/DefaultApi~kwMamboHandlersContactsPostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/InlineResponse201}
     */
    this.kwMamboHandlersContactsPost = function(bookingId, contacts, callback) {
      var postBody = contacts;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersContactsPost");
      }

      // verify the required parameter 'contacts' is set
      if (contacts === undefined || contacts === null) {
        throw new Error("Missing the required parameter 'contacts' when calling kwMamboHandlersContactsPost");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = InlineResponse201;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/contacts', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersContactsPut operation.
     * @callback module:api/DefaultApi~kwMamboHandlersContactsPutCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Update contact for booking by ID
     * @param {Number} bookingId ID of the booking.
     * @param {Number} contactId ID of the contact.
     * @param {module:model/Contact} contact 
     * @param {module:api/DefaultApi~kwMamboHandlersContactsPutCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
    this.kwMamboHandlersContactsPut = function(bookingId, contactId, contact, callback) {
      var postBody = contact;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersContactsPut");
      }

      // verify the required parameter 'contactId' is set
      if (contactId === undefined || contactId === null) {
        throw new Error("Missing the required parameter 'contactId' when calling kwMamboHandlersContactsPut");
      }

      // verify the required parameter 'contact' is set
      if (contact === undefined || contact === null) {
        throw new Error("Missing the required parameter 'contact' when calling kwMamboHandlersContactsPut");
      }


      var pathParams = {
        'booking_id': bookingId,
        'contact_id': contactId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = Object;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/contacts/{contact_id}', 'PUT',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersContactsSearch operation.
     * @callback module:api/DefaultApi~kwMamboHandlersContactsSearchCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Contact>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get all contacts for booking
     * @param {Number} bookingId ID of the booking.
     * @param {module:api/DefaultApi~kwMamboHandlersContactsSearchCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Contact>}
     */
    this.kwMamboHandlersContactsSearch = function(bookingId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersContactsSearch");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [Contact];

      return this.apiClient.callApi(
        '/bookings/{booking_id}/contacts', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersFlightChangesPost operation.
     * @callback module:api/DefaultApi~kwMamboHandlersFlightChangesPostCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create new flights extra for booking at id
     * @param {Number} bookingId ID of the booking.
     * @param {module:model/FlightChangeOrder} flightChangeOrder 
     * @param {module:api/DefaultApi~kwMamboHandlersFlightChangesPostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersFlightChangesPost = function(bookingId, flightChangeOrder, callback) {
      var postBody = flightChangeOrder;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersFlightChangesPost");
      }

      // verify the required parameter 'flightChangeOrder' is set
      if (flightChangeOrder === undefined || flightChangeOrder === null) {
        throw new Error("Missing the required parameter 'flightChangeOrder' when calling kwMamboHandlersFlightChangesPost");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/flight_changes', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersFlightEventsPatch operation.
     * @callback module:api/DefaultApi~kwMamboHandlersFlightEventsPatchCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ScheduleAlternative} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * React to schedule change with following options:  Refund - customer requested refund for booking affected by flight event. Acknowledge - customer acknowledges minor flight event e.g. minor schedule change. 
     * @param {Number} bookingId ID of the booking.
     * @param {Number} eventId ID of alternative group
     * @param {module:model/Alternative} alternative 
     * @param {module:api/DefaultApi~kwMamboHandlersFlightEventsPatchCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ScheduleAlternative}
     */
    this.kwMamboHandlersFlightEventsPatch = function(bookingId, eventId, alternative, callback) {
      var postBody = alternative;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersFlightEventsPatch");
      }

      // verify the required parameter 'eventId' is set
      if (eventId === undefined || eventId === null) {
        throw new Error("Missing the required parameter 'eventId' when calling kwMamboHandlersFlightEventsPatch");
      }

      // verify the required parameter 'alternative' is set
      if (alternative === undefined || alternative === null) {
        throw new Error("Missing the required parameter 'alternative' when calling kwMamboHandlersFlightEventsPatch");
      }


      var pathParams = {
        'booking_id': bookingId,
        'event_id': eventId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = ScheduleAlternative;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/flight_events/{event_id}', 'PATCH',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersFlightEventsPostOrder operation.
     * @callback module:api/DefaultApi~kwMamboHandlersFlightEventsPostOrderCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ScheduleAlternative} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Creates order for alternative
     * @param {Number} bookingId ID of the booking.
     * @param {Number} eventId ID of alternative group
     * @param {module:model/Alternative1} alternative 
     * @param {module:api/DefaultApi~kwMamboHandlersFlightEventsPostOrderCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ScheduleAlternative}
     */
    this.kwMamboHandlersFlightEventsPostOrder = function(bookingId, eventId, alternative, callback) {
      var postBody = alternative;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersFlightEventsPostOrder");
      }

      // verify the required parameter 'eventId' is set
      if (eventId === undefined || eventId === null) {
        throw new Error("Missing the required parameter 'eventId' when calling kwMamboHandlersFlightEventsPostOrder");
      }

      // verify the required parameter 'alternative' is set
      if (alternative === undefined || alternative === null) {
        throw new Error("Missing the required parameter 'alternative' when calling kwMamboHandlersFlightEventsPostOrder");
      }


      var pathParams = {
        'booking_id': bookingId,
        'event_id': eventId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = ScheduleAlternative;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/flight_events/{event_id}/orders', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersPassengerChangeCreateRequest operation.
     * @callback module:api/DefaultApi~kwMamboHandlersPassengerChangeCreateRequestCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Post name correction request
     * @param {Number} bookingId ID of the booking.
     * @param {module:model/NameCorrectionRequest} requestData Passenger changes
     * @param {module:api/DefaultApi~kwMamboHandlersPassengerChangeCreateRequestCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
    this.kwMamboHandlersPassengerChangeCreateRequest = function(bookingId, requestData, callback) {
      var postBody = requestData;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersPassengerChangeCreateRequest");
      }

      // verify the required parameter 'requestData' is set
      if (requestData === undefined || requestData === null) {
        throw new Error("Missing the required parameter 'requestData' when calling kwMamboHandlersPassengerChangeCreateRequest");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = Object;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/passengers/change_requests', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersPriceChangesDelete operation.
     * @callback module:api/DefaultApi~kwMamboHandlersPriceChangesDeleteCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete price_change extra for booking at id
     * @param {Number} bookingId ID of the booking.
     * @param {Number} extraId ID of the extra order, handling is route specific.
     * @param {module:api/DefaultApi~kwMamboHandlersPriceChangesDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersPriceChangesDelete = function(bookingId, extraId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersPriceChangesDelete");
      }

      // verify the required parameter 'extraId' is set
      if (extraId === undefined || extraId === null) {
        throw new Error("Missing the required parameter 'extraId' when calling kwMamboHandlersPriceChangesDelete");
      }


      var pathParams = {
        'booking_id': bookingId,
        'extra_id': extraId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/price_changes/{extra_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersPriceChangesPost operation.
     * @callback module:api/DefaultApi~kwMamboHandlersPriceChangesPostCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create new price_change extra for booking at id
     * @param {Number} bookingId ID of the booking.
     * @param {module:model/PriceChangeOrder} priceChangeOrder 
     * @param {module:api/DefaultApi~kwMamboHandlersPriceChangesPostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersPriceChangesPost = function(bookingId, priceChangeOrder, callback) {
      var postBody = priceChangeOrder;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersPriceChangesPost");
      }

      // verify the required parameter 'priceChangeOrder' is set
      if (priceChangeOrder === undefined || priceChangeOrder === null) {
        throw new Error("Missing the required parameter 'priceChangeOrder' when calling kwMamboHandlersPriceChangesPost");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/price_changes', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersPriceChangesPriceChangePaymentRequest operation.
     * @callback module:api/DefaultApi~kwMamboHandlersPriceChangesPriceChangePaymentRequestCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Request new payment for price_change
     * @param {Number} bookingId ID of the booking.
     * @param {Number} extraId ID of the extra order, handling is route specific.
     * @param {module:api/DefaultApi~kwMamboHandlersPriceChangesPriceChangePaymentRequestCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersPriceChangesPriceChangePaymentRequest = function(bookingId, extraId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersPriceChangesPriceChangePaymentRequest");
      }

      // verify the required parameter 'extraId' is set
      if (extraId === undefined || extraId === null) {
        throw new Error("Missing the required parameter 'extraId' when calling kwMamboHandlersPriceChangesPriceChangePaymentRequest");
      }


      var pathParams = {
        'booking_id': bookingId,
        'extra_id': extraId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/price_changes/{extra_id}/payments', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersPriceChangesPriceChangePaymentUpdate operation.
     * @callback module:api/DefaultApi~kwMamboHandlersPriceChangesPriceChangePaymentUpdateCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SimpleExtraRecord} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Finish or confirm the payment for price_change extra
     * @param {Number} bookingId ID of the booking.
     * @param {Number} extraId ID of the extra order, handling is route specific.
     * @param {Object} opts Optional parameters
     * @param {module:model/FinishPaymentArgs} opts.finishPaymentArgs 
     * @param {module:api/DefaultApi~kwMamboHandlersPriceChangesPriceChangePaymentUpdateCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SimpleExtraRecord}
     */
    this.kwMamboHandlersPriceChangesPriceChangePaymentUpdate = function(bookingId, extraId, opts, callback) {
      opts = opts || {};
      var postBody = opts['finishPaymentArgs'];

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersPriceChangesPriceChangePaymentUpdate");
      }

      // verify the required parameter 'extraId' is set
      if (extraId === undefined || extraId === null) {
        throw new Error("Missing the required parameter 'extraId' when calling kwMamboHandlersPriceChangesPriceChangePaymentUpdate");
      }


      var pathParams = {
        'booking_id': bookingId,
        'extra_id': extraId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SimpleExtraRecord;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/price_changes/{extra_id}/payments', 'PATCH',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersReferralsDelete operation.
     * @callback module:api/DefaultApi~kwMamboHandlersReferralsDeleteCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Delete an invitation
     * Delete a customer&#39;s invitation. May be used to free the invitee&#39;s email address.
     * @param {String} email 
     * @param {module:api/DefaultApi~kwMamboHandlersReferralsDeleteCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.kwMamboHandlersReferralsDelete = function(email, callback) {
      var postBody = null;

      // verify the required parameter 'email' is set
      if (email === undefined || email === null) {
        throw new Error("Missing the required parameter 'email' when calling kwMamboHandlersReferralsDelete");
      }


      var pathParams = {
        'email': email
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/referrals/friends/{email}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersReferralsEmailGet operation.
     * @callback module:api/DefaultApi~kwMamboHandlersReferralsEmailGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/EmailValidityObject} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Check invitee&#39;s email
     * Performs a check whether the invitee is eligible for an invitation from customer.
     * @param {String} email 
     * @param {module:api/DefaultApi~kwMamboHandlersReferralsEmailGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/EmailValidityObject}
     */
    this.kwMamboHandlersReferralsEmailGet = function(email, callback) {
      var postBody = null;

      // verify the required parameter 'email' is set
      if (email === undefined || email === null) {
        throw new Error("Missing the required parameter 'email' when calling kwMamboHandlersReferralsEmailGet");
      }


      var pathParams = {
      };
      var queryParams = {
        'email': email,
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = EmailValidityObject;

      return this.apiClient.callApi(
        '/referrals/email_check', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersReferralsPost operation.
     * @callback module:api/DefaultApi~kwMamboHandlersReferralsPostCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create an invitation
     * For a given email create a new invitation.
     * @param {String} email 
     * @param {module:api/DefaultApi~kwMamboHandlersReferralsPostCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.kwMamboHandlersReferralsPost = function(email, callback) {
      var postBody = null;

      // verify the required parameter 'email' is set
      if (email === undefined || email === null) {
        throw new Error("Missing the required parameter 'email' when calling kwMamboHandlersReferralsPost");
      }


      var pathParams = {
        'email': email
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/referrals/friends/{email}', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersReferralsPostMultiple operation.
     * @callback module:api/DefaultApi~kwMamboHandlersReferralsPostMultipleCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Create an invitation
     * For a given email create a new invitation.
     * @param {Array.<module:model/String>} emails 
     * @param {module:api/DefaultApi~kwMamboHandlersReferralsPostMultipleCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.kwMamboHandlersReferralsPostMultiple = function(emails, callback) {
      var postBody = emails;

      // verify the required parameter 'emails' is set
      if (emails === undefined || emails === null) {
        throw new Error("Missing the required parameter 'emails' when calling kwMamboHandlersReferralsPostMultiple");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/referrals/friends', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersReferralsSearch operation.
     * @callback module:api/DefaultApi~kwMamboHandlersReferralsSearchCallback
     * @param {String} error Error message, if any.
     * @param {Array.<module:model/Invitation>} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * List of invitations
     * Returns the list of all invitations sent along with their statuses.
     * @param {module:api/DefaultApi~kwMamboHandlersReferralsSearchCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Array.<module:model/Invitation>}
     */
    this.kwMamboHandlersReferralsSearch = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = [Invitation];

      return this.apiClient.callApi(
        '/referrals/friends', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersRefundApplicationsGet operation.
     * @callback module:api/DefaultApi~kwMamboHandlersRefundApplicationsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RefundApplications} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get submitted refund applications for booking
     * @param {Number} bookingId ID of the booking.
     * @param {module:api/DefaultApi~kwMamboHandlersRefundApplicationsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RefundApplications}
     */
    this.kwMamboHandlersRefundApplicationsGet = function(bookingId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersRefundApplicationsGet");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = RefundApplications;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/refund-applications', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersRefundsGet operation.
     * @callback module:api/DefaultApi~kwMamboHandlersRefundsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RefundOptions} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get refund options for booking
     * @param {Number} bookingId ID of the booking.
     * @param {module:api/DefaultApi~kwMamboHandlersRefundsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RefundOptions}
     */
    this.kwMamboHandlersRefundsGet = function(bookingId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersRefundsGet");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = RefundOptions;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/cancellations', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersRefundsPost operation.
     * @callback module:api/DefaultApi~kwMamboHandlersRefundsPostCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Refund the booking.
     * @param {Number} bookingId ID of the booking.
     * @param {module:model/RefundData} refundData 
     * @param {module:api/DefaultApi~kwMamboHandlersRefundsPostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
    this.kwMamboHandlersRefundsPost = function(bookingId, refundData, callback) {
      var postBody = refundData;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersRefundsPost");
      }

      // verify the required parameter 'refundData' is set
      if (refundData === undefined || refundData === null) {
        throw new Error("Missing the required parameter 'refundData' when calling kwMamboHandlersRefundsPost");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = Object;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/cancellations', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersSeatOrderCancelSeatReservation operation.
     * @callback module:api/DefaultApi~kwMamboHandlersSeatOrderCancelSeatReservationCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Cancel seat reservation
     * @param {Number} bookingId ID of the booking.
     * @param {Number} seatReservationId ID of the seat reservation.
     * @param {module:api/DefaultApi~kwMamboHandlersSeatOrderCancelSeatReservationCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.kwMamboHandlersSeatOrderCancelSeatReservation = function(bookingId, seatReservationId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersSeatOrderCancelSeatReservation");
      }

      // verify the required parameter 'seatReservationId' is set
      if (seatReservationId === undefined || seatReservationId === null) {
        throw new Error("Missing the required parameter 'seatReservationId' when calling kwMamboHandlersSeatOrderCancelSeatReservation");
      }


      var pathParams = {
        'booking_id': bookingId,
        'seat_reservation_id': seatReservationId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/seat_orders/{seat_reservation_id}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersSeatOrderRequestSeatReservation operation.
     * @callback module:api/DefaultApi~kwMamboHandlersSeatOrderRequestSeatReservationCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Request seats reservation
     * @param {Number} bookingId ID of the booking.
     * @param {Object} opts Optional parameters
     * @param {module:model/SeatOrder} opts.seatOrder 
     * @param {module:api/DefaultApi~kwMamboHandlersSeatOrderRequestSeatReservationCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.kwMamboHandlersSeatOrderRequestSeatReservation = function(bookingId, opts, callback) {
      opts = opts || {};
      var postBody = opts['seatOrder'];

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersSeatOrderRequestSeatReservation");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/seat_orders', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersSeatmapsSearch operation.
     * @callback module:api/DefaultApi~kwMamboHandlersSeatmapsSearchCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Segments} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get seatmaps for flight
     * @param {Number} bookingId ID of the booking.
     * @param {module:api/DefaultApi~kwMamboHandlersSeatmapsSearchCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Segments}
     */
    this.kwMamboHandlersSeatmapsSearch = function(bookingId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersSeatmapsSearch");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = Segments;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/seatmaps', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersTicketsGet operation.
     * @callback module:api/DefaultApi~kwMamboHandlersTicketsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/InlineResponse2001} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get ticketing
     * @param {Number} bookingId ID of the booking.
     * @param {module:api/DefaultApi~kwMamboHandlersTicketsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/InlineResponse2001}
     */
    this.kwMamboHandlersTicketsGet = function(bookingId, callback) {
      var postBody = null;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersTicketsGet");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = InlineResponse2001;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/tickets', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the kwMamboHandlersTicketsPost operation.
     * @callback module:api/DefaultApi~kwMamboHandlersTicketsPostCallback
     * @param {String} error Error message, if any.
     * @param {module:model/EmailData} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Send ticket via email
     * @param {Number} bookingId ID of the booking.
     * @param {module:model/TicketData} ticketData 
     * @param {module:api/DefaultApi~kwMamboHandlersTicketsPostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/EmailData}
     */
    this.kwMamboHandlersTicketsPost = function(bookingId, ticketData, callback) {
      var postBody = ticketData;

      // verify the required parameter 'bookingId' is set
      if (bookingId === undefined || bookingId === null) {
        throw new Error("Missing the required parameter 'bookingId' when calling kwMamboHandlersTicketsPost");
      }

      // verify the required parameter 'ticketData' is set
      if (ticketData === undefined || ticketData === null) {
        throw new Error("Missing the required parameter 'ticketData' when calling kwMamboHandlersTicketsPost");
      }


      var pathParams = {
        'booking_id': bookingId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = EmailData;

      return this.apiClient.callApi(
        '/bookings/{booking_id}/tickets', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the pingGet operation.
     * @callback module:api/DefaultApi~pingGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/Pong} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Return a simple JSON payload for health check purposes
     * @param {module:api/DefaultApi~pingGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/Pong}
     */
    this.pingGet = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = Pong;

      return this.apiClient.callApi(
        '/ping', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the storedPassengersGet operation.
     * @callback module:api/DefaultApi~storedPassengersGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/InlineResponse2002} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Return all stored passengers of user
     * @param {module:api/DefaultApi~storedPassengersGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/InlineResponse2002}
     */
    this.storedPassengersGet = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = InlineResponse2002;

      return this.apiClient.callApi(
        '/stored_passengers', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the storedPassengersPost operation.
     * @callback module:api/DefaultApi~storedPassengersPostCallback
     * @param {String} error Error message, if any.
     * @param {module:model/InlineResponse2003} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Save new stored passenger for user
     * @param {module:model/NewStoredPassenger} storedPassenger 
     * @param {module:api/DefaultApi~storedPassengersPostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/InlineResponse2003}
     */
    this.storedPassengersPost = function(storedPassenger, callback) {
      var postBody = storedPassenger;

      // verify the required parameter 'storedPassenger' is set
      if (storedPassenger === undefined || storedPassenger === null) {
        throw new Error("Missing the required parameter 'storedPassenger' when calling storedPassengersPost");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = ['UserTokenAuth'];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = InlineResponse2003;

      return this.apiClient.callApi(
        '/stored_passengers', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
