/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/PaymentData'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./PaymentData'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.BagOrder = factory(root.KiwicomMmbApi.ApiClient, root.KiwicomMmbApi.PaymentData);
  }
}(this, function(ApiClient, PaymentData) {
  'use strict';




  /**
   * The BagOrder model module.
   * @module model/BagOrder
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>BagOrder</code>.
   * @alias module:model/BagOrder
   * @class
   * @param bags {Number} Number of bags.
   * @param bookedAt {String} Who served the extra booking.
   * @param origPrice {Number} Price which the costumer has consumed.
   * @param paymentData {module:model/PaymentData} 
   */
  var exports = function(bags, bookedAt, origPrice, paymentData) {
    var _this = this;

    _this['bags'] = bags;
    _this['booked_at'] = bookedAt;
    _this['orig_price'] = origPrice;
    _this['payment_data'] = paymentData;
  };

  /**
   * Constructs a <code>BagOrder</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/BagOrder} obj Optional instance to populate.
   * @return {module:model/BagOrder} The populated <code>BagOrder</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('bags')) {
        obj['bags'] = ApiClient.convertToType(data['bags'], 'Number');
      }
      if (data.hasOwnProperty('booked_at')) {
        obj['booked_at'] = ApiClient.convertToType(data['booked_at'], 'String');
      }
      if (data.hasOwnProperty('orig_price')) {
        obj['orig_price'] = ApiClient.convertToType(data['orig_price'], 'Number');
      }
      if (data.hasOwnProperty('payment_data')) {
        obj['payment_data'] = PaymentData.constructFromObject(data['payment_data']);
      }
    }
    return obj;
  }

  /**
   * Number of bags.
   * @member {Number} bags
   */
  exports.prototype['bags'] = undefined;
  /**
   * Who served the extra booking.
   * @member {String} booked_at
   * @default 'skypicker'
   */
  exports.prototype['booked_at'] = 'skypicker';
  /**
   * Price which the costumer has consumed.
   * @member {Number} orig_price
   */
  exports.prototype['orig_price'] = undefined;
  /**
   * @member {module:model/PaymentData} payment_data
   */
  exports.prototype['payment_data'] = undefined;



  return exports;
}));


