/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.Invitation = factory(root.KiwicomMmbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The Invitation model module.
   * @module model/Invitation
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>Invitation</code>.
   * Invitation
   * @alias module:model/Invitation
   * @class
   * @param email {String} 
   * @param invitedAt {Number} 
   * @param status {module:model/Invitation.StatusEnum} 
   */
  var exports = function(email, invitedAt, status) {
    var _this = this;

    _this['email'] = email;
    _this['invited_at'] = invitedAt;
    _this['status'] = status;
  };

  /**
   * Constructs a <code>Invitation</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Invitation} obj Optional instance to populate.
   * @return {module:model/Invitation} The populated <code>Invitation</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('email')) {
        obj['email'] = ApiClient.convertToType(data['email'], 'String');
      }
      if (data.hasOwnProperty('invited_at')) {
        obj['invited_at'] = ApiClient.convertToType(data['invited_at'], 'Number');
      }
      if (data.hasOwnProperty('status')) {
        obj['status'] = ApiClient.convertToType(data['status'], 'String');
      }
    }
    return obj;
  }

  /**
   * @member {String} email
   */
  exports.prototype['email'] = undefined;
  /**
   * @member {Number} invited_at
   */
  exports.prototype['invited_at'] = undefined;
  /**
   * @member {module:model/Invitation.StatusEnum} status
   */
  exports.prototype['status'] = undefined;


  /**
   * Allowed values for the <code>status</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StatusEnum = {
    /**
     * value: "invited"
     * @const
     */
    "invited": "invited",
    /**
     * value: "active"
     * @const
     */
    "active": "active",
    /**
     * value: "completed"
     * @const
     */
    "completed": "completed",
    /**
     * value: "deleted"
     * @const
     */
    "deleted": "deleted",
    /**
     * value: "invite_expired"
     * @const
     */
    "invite_expired": "invite_expired",
    /**
     * value: "reward_expired"
     * @const
     */
    "reward_expired": "reward_expired"  };


  return exports;
}));


