/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.NewStoredPassenger = factory(root.KiwicomMmbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The NewStoredPassenger model module.
   * @module model/NewStoredPassenger
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>NewStoredPassenger</code>.
   * Passenger details to be saved for reuse in bookings
   * @alias module:model/NewStoredPassenger
   * @class
   * @param birthdate {Date} 
   * @param firstName {String} 
   * @param gender {module:model/NewStoredPassenger.GenderEnum} 
   * @param lastName {String} 
   * @param nationality {String} 
   * @param userId {String} 
   */
  var exports = function(birthdate, firstName, gender, lastName, nationality, userId) {
    var _this = this;

    _this['birthdate'] = birthdate;
    _this['first_name'] = firstName;
    _this['gender'] = gender;

    _this['last_name'] = lastName;
    _this['nationality'] = nationality;
    _this['user_id'] = userId;
  };

  /**
   * Constructs a <code>NewStoredPassenger</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/NewStoredPassenger} obj Optional instance to populate.
   * @return {module:model/NewStoredPassenger} The populated <code>NewStoredPassenger</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('birthdate')) {
        obj['birthdate'] = ApiClient.convertToType(data['birthdate'], 'Date');
      }
      if (data.hasOwnProperty('first_name')) {
        obj['first_name'] = ApiClient.convertToType(data['first_name'], 'String');
      }
      if (data.hasOwnProperty('gender')) {
        obj['gender'] = ApiClient.convertToType(data['gender'], 'String');
      }
      if (data.hasOwnProperty('is_contact_passenger')) {
        obj['is_contact_passenger'] = ApiClient.convertToType(data['is_contact_passenger'], 'Boolean');
      }
      if (data.hasOwnProperty('last_name')) {
        obj['last_name'] = ApiClient.convertToType(data['last_name'], 'String');
      }
      if (data.hasOwnProperty('nationality')) {
        obj['nationality'] = ApiClient.convertToType(data['nationality'], 'String');
      }
      if (data.hasOwnProperty('user_id')) {
        obj['user_id'] = ApiClient.convertToType(data['user_id'], 'String');
      }
    }
    return obj;
  }

  /**
   * @member {Date} birthdate
   */
  exports.prototype['birthdate'] = undefined;
  /**
   * @member {String} first_name
   */
  exports.prototype['first_name'] = undefined;
  /**
   * @member {module:model/NewStoredPassenger.GenderEnum} gender
   */
  exports.prototype['gender'] = undefined;
  /**
   * @member {Boolean} is_contact_passenger
   * @default false
   */
  exports.prototype['is_contact_passenger'] = false;
  /**
   * @member {String} last_name
   */
  exports.prototype['last_name'] = undefined;
  /**
   * @member {String} nationality
   */
  exports.prototype['nationality'] = undefined;
  /**
   * @member {String} user_id
   */
  exports.prototype['user_id'] = undefined;


  /**
   * Allowed values for the <code>gender</code> property.
   * @enum {String}
   * @readonly
   */
  exports.GenderEnum = {
    /**
     * value: "m"
     * @const
     */
    "m": "m",
    /**
     * value: "f"
     * @const
     */
    "f": "f"  };


  return exports;
}));


