/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.PaymentData = factory(root.KiwicomMmbApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The PaymentData model module.
   * @module model/PaymentData
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>PaymentData</code>.
   * Handle the required specifics of payments of specific orders.
   * @alias module:model/PaymentData
   * @class
   * @param gate {module:model/PaymentData.GateEnum} 
   */
  var exports = function(gate) {
    var _this = this;



    _this['gate'] = gate;


  };

  /**
   * Constructs a <code>PaymentData</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PaymentData} obj Optional instance to populate.
   * @return {module:model/PaymentData} The populated <code>PaymentData</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('credits_price')) {
        obj['credits_price'] = ApiClient.convertToType(data['credits_price'], 'Number');
      }
      if (data.hasOwnProperty('currency')) {
        obj['currency'] = ApiClient.convertToType(data['currency'], 'String');
      }
      if (data.hasOwnProperty('gate')) {
        obj['gate'] = ApiClient.convertToType(data['gate'], 'String');
      }
      if (data.hasOwnProperty('price')) {
        obj['price'] = ApiClient.convertToType(data['price'], 'Number');
      }
      if (data.hasOwnProperty('sandbox')) {
        obj['sandbox'] = ApiClient.convertToType(data['sandbox'], 'Boolean');
      }
    }
    return obj;
  }

  /**
   * @member {Number} credits_price
   */
  exports.prototype['credits_price'] = undefined;
  /**
   * @member {String} currency
   */
  exports.prototype['currency'] = undefined;
  /**
   * @member {module:model/PaymentData.GateEnum} gate
   */
  exports.prototype['gate'] = undefined;
  /**
   * @member {Number} price
   */
  exports.prototype['price'] = undefined;
  /**
   * @member {Boolean} sandbox
   */
  exports.prototype['sandbox'] = undefined;


  /**
   * Allowed values for the <code>gate</code> property.
   * @enum {String}
   * @readonly
   */
  exports.GateEnum = {
    /**
     * value: "zooz"
     * @const
     */
    "zooz": "zooz",
    /**
     * value: "cup"
     * @const
     */
    "cup": "cup",
    /**
     * value: "credits"
     * @const
     */
    "credits": "credits"  };


  return exports;
}));


