/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ScheduleChangeAllowedGates', 'model/ScheduleChangeAlternatives', 'model/ScheduleChangeRefund', 'model/ScheduleChangeResolved', 'model/ScheduleFlight'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ScheduleChangeAllowedGates'), require('./ScheduleChangeAlternatives'), require('./ScheduleChangeRefund'), require('./ScheduleChangeResolved'), require('./ScheduleFlight'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.ScheduleChange = factory(root.KiwicomMmbApi.ApiClient, root.KiwicomMmbApi.ScheduleChangeAllowedGates, root.KiwicomMmbApi.ScheduleChangeAlternatives, root.KiwicomMmbApi.ScheduleChangeRefund, root.KiwicomMmbApi.ScheduleChangeResolved, root.KiwicomMmbApi.ScheduleFlight);
  }
}(this, function(ApiClient, ScheduleChangeAllowedGates, ScheduleChangeAlternatives, ScheduleChangeRefund, ScheduleChangeResolved, ScheduleFlight) {
  'use strict';




  /**
   * The ScheduleChange model module.
   * @module model/ScheduleChange
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>ScheduleChange</code>.
   * @alias module:model/ScheduleChange
   * @class
   */
  var exports = function() {
    var _this = this;










  };

  /**
   * Constructs a <code>ScheduleChange</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ScheduleChange} obj Optional instance to populate.
   * @return {module:model/ScheduleChange} The populated <code>ScheduleChange</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('action')) {
        obj['action'] = ApiClient.convertToType(data['action'], 'String');
      }
      if (data.hasOwnProperty('affected')) {
        obj['affected'] = ApiClient.convertToType(data['affected'], ['String']);
      }
      if (data.hasOwnProperty('allowed_gates')) {
        obj['allowed_gates'] = ScheduleChangeAllowedGates.constructFromObject(data['allowed_gates']);
      }
      if (data.hasOwnProperty('alternative_group_id')) {
        obj['alternative_group_id'] = ApiClient.convertToType(data['alternative_group_id'], 'Number');
      }
      if (data.hasOwnProperty('alternatives')) {
        obj['alternatives'] = ApiClient.convertToType(data['alternatives'], [ScheduleChangeAlternatives]);
      }
      if (data.hasOwnProperty('changes')) {
        obj['changes'] = ApiClient.convertToType(data['changes'], {'String': ScheduleFlight});
      }
      if (data.hasOwnProperty('is_live')) {
        obj['is_live'] = ApiClient.convertToType(data['is_live'], 'Boolean');
      }
      if (data.hasOwnProperty('refund')) {
        obj['refund'] = ScheduleChangeRefund.constructFromObject(data['refund']);
      }
      if (data.hasOwnProperty('resolved')) {
        obj['resolved'] = ScheduleChangeResolved.constructFromObject(data['resolved']);
      }
    }
    return obj;
  }

  /**
   * what type if action is required on this schedule change
   * @member {module:model/ScheduleChange.ActionEnum} action
   */
  exports.prototype['action'] = undefined;
  /**
   * flight ids of affected flights
   * @member {Array.<String>} affected
   */
  exports.prototype['affected'] = undefined;
  /**
   * @member {module:model/ScheduleChangeAllowedGates} allowed_gates
   */
  exports.prototype['allowed_gates'] = undefined;
  /**
   * @member {Number} alternative_group_id
   */
  exports.prototype['alternative_group_id'] = undefined;
  /**
   * @member {Array.<module:model/ScheduleChangeAlternatives>} alternatives
   */
  exports.prototype['alternatives'] = undefined;
  /**
   * @member {Object.<String, module:model/ScheduleFlight>} changes
   */
  exports.prototype['changes'] = undefined;
  /**
   * Whether alternative change should shown to PAP and PAP notified.
   * @member {Boolean} is_live
   */
  exports.prototype['is_live'] = undefined;
  /**
   * @member {module:model/ScheduleChangeRefund} refund
   */
  exports.prototype['refund'] = undefined;
  /**
   * @member {module:model/ScheduleChangeResolved} resolved
   */
  exports.prototype['resolved'] = undefined;


  /**
   * Allowed values for the <code>action</code> property.
   * @enum {String}
   * @readonly
   */
  exports.ActionEnum = {
    /**
     * value: "AERO"
     * @const
     */
    "AERO": "AERO",
    /**
     * value: "CS"
     * @const
     */
    "CS": "CS",
    /**
     * value: "INFO"
     * @const
     */
    "INFO": "INFO",
    /**
     * value: "KIWI"
     * @const
     */
    "KIWI": "KIWI",
    /**
     * value: "PAX"
     * @const
     */
    "PAX": "PAX"  };


  return exports;
}));


