/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/AmountInCurrency'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./AmountInCurrency'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.SeatDescription = factory(root.KiwicomMmbApi.ApiClient, root.KiwicomMmbApi.AmountInCurrency);
  }
}(this, function(ApiClient, AmountInCurrency) {
  'use strict';




  /**
   * The SeatDescription model module.
   * @module model/SeatDescription
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>SeatDescription</code>.
   * Description of plane seat with all its features
   * @alias module:model/SeatDescription
   * @class
   */
  var exports = function() {
    var _this = this;







  };

  /**
   * Constructs a <code>SeatDescription</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/SeatDescription} obj Optional instance to populate.
   * @return {module:model/SeatDescription} The populated <code>SeatDescription</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('column')) {
        obj['column'] = ApiClient.convertToType(data['column'], 'String');
      }
      if (data.hasOwnProperty('features')) {
        obj['features'] = ApiClient.convertToType(data['features'], ['String']);
      }
      if (data.hasOwnProperty('price')) {
        obj['price'] = AmountInCurrency.constructFromObject(data['price']);
      }
      if (data.hasOwnProperty('row')) {
        obj['row'] = ApiClient.convertToType(data['row'], 'String');
      }
      if (data.hasOwnProperty('state')) {
        obj['state'] = ApiClient.convertToType(data['state'], 'String');
      }
      if (data.hasOwnProperty('type')) {
        obj['type'] = ApiClient.convertToType(data['type'], 'String');
      }
    }
    return obj;
  }

  /**
   * @member {String} column
   */
  exports.prototype['column'] = undefined;
  /**
   * @member {Array.<module:model/SeatDescription.FeaturesEnum>} features
   */
  exports.prototype['features'] = undefined;
  /**
   * @member {module:model/AmountInCurrency} price
   */
  exports.prototype['price'] = undefined;
  /**
   * @member {String} row
   */
  exports.prototype['row'] = undefined;
  /**
   * @member {module:model/SeatDescription.StateEnum} state
   */
  exports.prototype['state'] = undefined;
  /**
   * @member {String} type
   */
  exports.prototype['type'] = undefined;


  /**
   * Allowed values for the <code>features</code> property.
   * @enum {String}
   * @readonly
   */
  exports.FeaturesEnum = {
    /**
     * value: "aisle"
     * @const
     */
    "aisle": "aisle",
    /**
     * value: "window"
     * @const
     */
    "window": "window",
    /**
     * value: "exit row"
     * @const
     */
    "exit row": "exit row",
    /**
     * value: "wing"
     * @const
     */
    "wing": "wing",
    /**
     * value: "infant"
     * @const
     */
    "infant": "infant",
    /**
     * value: "child"
     * @const
     */
    "child": "child",
    /**
     * value: "handicapped"
     * @const
     */
    "handicapped": "handicapped",
    /**
     * value: "extra leg room"
     * @const
     */
    "extra leg room": "extra leg room"  };

  /**
   * Allowed values for the <code>state</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StateEnum = {
    /**
     * value: "available"
     * @const
     */
    "available": "available",
    /**
     * value: "unavailable"
     * @const
     */
    "unavailable": "unavailable",
    /**
     * value: "occupied"
     * @const
     */
    "occupied": "occupied",
    /**
     * value: "no_seat"
     * @const
     */
    "no_seat": "no_seat",
    /**
     * value: "unknown"
     * @const
     */
    "unknown": "unknown"  };


  return exports;
}));


