/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/NewStoredPassenger'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./NewStoredPassenger'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.StoredPassenger = factory(root.KiwicomMmbApi.ApiClient, root.KiwicomMmbApi.NewStoredPassenger);
  }
}(this, function(ApiClient, NewStoredPassenger) {
  'use strict';




  /**
   * The StoredPassenger model module.
   * @module model/StoredPassenger
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>StoredPassenger</code>.
   * Passenger details that have been saved for reuse in bookings
   * @alias module:model/StoredPassenger
   * @class
   * @implements module:model/NewStoredPassenger
   * @param birthdate {Date} 
   * @param firstName {String} 
   * @param gender {module:model/NewStoredPassenger.GenderEnum} 
   * @param lastName {String} 
   * @param nationality {String} 
   * @param userId {String} 
   * @param id {Number} 
   */
  var exports = function(birthdate, firstName, gender, lastName, nationality, userId, id) {
    var _this = this;

    NewStoredPassenger.call(_this, birthdate, firstName, gender, lastName, nationality, userId);
    _this['id'] = id;
  };

  /**
   * Constructs a <code>StoredPassenger</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/StoredPassenger} obj Optional instance to populate.
   * @return {module:model/StoredPassenger} The populated <code>StoredPassenger</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      NewStoredPassenger.constructFromObject(data, obj);
      if (data.hasOwnProperty('id')) {
        obj['id'] = ApiClient.convertToType(data['id'], 'Number');
      }
    }
    return obj;
  }

  /**
   * @member {Number} id
   */
  exports.prototype['id'] = undefined;

  // Implement NewStoredPassenger interface:
  /**
   * @member {Date} birthdate
   */
exports.prototype['birthdate'] = undefined;

  /**
   * @member {String} first_name
   */
exports.prototype['first_name'] = undefined;

  /**
   * @member {module:model/NewStoredPassenger.GenderEnum} gender
   */
exports.prototype['gender'] = undefined;

  /**
   * @member {Boolean} is_contact_passenger
   * @default false
   */
exports.prototype['is_contact_passenger'] = false;

  /**
   * @member {String} last_name
   */
exports.prototype['last_name'] = undefined;

  /**
   * @member {String} nationality
   */
exports.prototype['nationality'] = undefined;

  /**
   * @member {String} user_id
   */
exports.prototype['user_id'] = undefined;



  return exports;
}));


