/**
 * Kiwi.com MMB API
 * An API for Kiwi.com's manage my booking section.
 *
 * OpenAPI spec version: 0.1.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Email'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Email'));
  } else {
    // Browser globals (root is window)
    if (!root.KiwicomMmbApi) {
      root.KiwicomMmbApi = {};
    }
    root.KiwicomMmbApi.TicketData = factory(root.KiwicomMmbApi.ApiClient, root.KiwicomMmbApi.Email);
  }
}(this, function(ApiClient, Email) {
  'use strict';




  /**
   * The TicketData model module.
   * @module model/TicketData
   * @version 0.1.0
   */

  /**
   * Constructs a new <code>TicketData</code>.
   * Data from ticket form
   * @alias module:model/TicketData
   * @class
   * @param description {String} 
   * @param email {module:model/Email} 
   * @param reason {module:model/TicketData.ReasonEnum} 
   */
  var exports = function(description, email, reason) {
    var _this = this;

    _this['description'] = description;
    _this['email'] = email;

    _this['reason'] = reason;
  };

  /**
   * Constructs a <code>TicketData</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TicketData} obj Optional instance to populate.
   * @return {module:model/TicketData} The populated <code>TicketData</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('description')) {
        obj['description'] = ApiClient.convertToType(data['description'], 'String');
      }
      if (data.hasOwnProperty('email')) {
        obj['email'] = Email.constructFromObject(data['email']);
      }
      if (data.hasOwnProperty('files')) {
        obj['files'] = ApiClient.convertToType(data['files'], ['String']);
      }
      if (data.hasOwnProperty('reason')) {
        obj['reason'] = ApiClient.convertToType(data['reason'], 'String');
      }
    }
    return obj;
  }

  /**
   * @member {String} description
   */
  exports.prototype['description'] = undefined;
  /**
   * @member {module:model/Email} email
   */
  exports.prototype['email'] = undefined;
  /**
   * @member {Array.<String>} files
   */
  exports.prototype['files'] = undefined;
  /**
   * @member {module:model/TicketData.ReasonEnum} reason
   */
  exports.prototype['reason'] = undefined;


  /**
   * Allowed values for the <code>reason</code> property.
   * @enum {String}
   * @readonly
   */
  exports.ReasonEnum = {
    /**
     * value: "passenger_details"
     * @const
     */
    "passenger_details": "passenger_details",
    /**
     * value: "boarding_passes"
     * @const
     */
    "boarding_passes": "boarding_passes",
    /**
     * value: "eticket_corrections"
     * @const
     */
    "eticket_corrections": "eticket_corrections",
    /**
     * value: "passengers_at_airport"
     * @const
     */
    "passengers_at_airport": "passengers_at_airport",
    /**
     * value: "baggages"
     * @const
     */
    "baggages": "baggages",
    /**
     * value: "flight_changes"
     * @const
     */
    "flight_changes": "flight_changes",
    /**
     * value: "add_infants"
     * @const
     */
    "add_infants": "add_infants",
    /**
     * value: "others"
     * @const
     */
    "others": "others"  };


  return exports;
}));


